BLK_INTEGRITY_REGIST(9)

NAME
blk_integrity_register - Register a gendisk as being integrity-capable

SYNOPSIS

int blk_integrity_register(struct gendisk * disk, struct blk_integrity * template);

ARGUMENTS

disk
    struct gendisk pointer to make integrity-aware

template
    optional integrity profile to register

DESCRIPTION

When a device needs to advertise itself as being able to send/receive integrity metadata it must use this function to register the capability with the block layer. The template is a blk_integrity struct with values appropriate for the underlying hardware. If template is NULL the new profile is allocated but not filled out. See Documentation/block/data-integrity.txt.

COPYRIGHT